Subject: Re: current-speed property in serial devices causes kernel panic

From: Timur Tabi <[email-masked]>
Date: Mon, 02 Jul 2007 15:01:42 -0500

Timur Tabi wrote:
> The kernel panic occurs only if I call of_platform_bus_probe().

FYI, thanks to Kumar, I found the problem: I had CONFIG_SERIAL_OF_PLATFORM enabled.  This 
causes of_serial.c to be compiled and loaded.  On my platform, that wasn't doing anything 
because initially I wasn't calling of_platform_bus_probe().  When I added that call to my 
platform code, of_serial.c sprang to life and tried to probe the serial nodes in my device 
tree.  Apparently, of_serial.c is not compatible with fsl_soc.c.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale